For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • GETList all triggers
      • POSTCreate a new trigger
      • PUTUpdate an existing trigger
      • DELDelete a trigger
      • POSTHandle Slack Events
      • POSTHandle Telegram Webhook
      • POSTHandle crons
      • POSTUpdate cron job authentication headers
LogoLogo
Scout DocsAccess Scout
EndpointsTriggers

List all triggers

Beta
GET
https://api.scoutos.com/v2/triggers
GET
/v2/triggers
$curl https://api.scoutos.com/v2/triggers \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "trigger_config": {
5 "trigger_display_name": "When message is sent to Slack Channel",
6 "trigger_type": "slack.message",
7 "action": {
8 "action_type": "workflow.execute",
9 "workflow_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef56gh78"
10 },
11 "status": "active",
12 "run_conditions": {
13 "rules": [
14 {
15 "conditions": [
16 {
17 "field": "channel_id",
18 "operator": "Any Of",
19 "value": [
20 "C1234567890"
21 ]
22 }
23 ]
24 }
25 ]
26 }
27 },
28 "organization_id": "org_9876543210",
29 "trigger_id": "trg_1234567890abcdef",
30 "last_updated_at": "2024-01-15T09:30:00Z",
31 "created_at": "2024-01-15T09:30:00Z",
32 "revision_id": "rev_20240115_01"
33 }
34 ]
35}

All apis and effects are injected into every endpoint via request.context. The request_context() utility can be used to get Intellisense type-completion

Was this page helpful?
Previous

Create a new trigger

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

action_typeenum or nullOptional
Filter by action type
Allowed values:
workflow_idstring or nullOptional
Filter by workflow ID

Response

Successful Response
datalist of objects

Errors

422
Unprocessable Entity Error